test-mergerq-job-debian-i686:
  variables:
    DISTRO: cryptsetup-debian-12i686
  extends:
    - .debian-prep
  tags:
    - libvirt
    - cryptsetup-debian-12i686
  stage: test
  interruptible: true
  variables:
    RUN_SSH_PLUGIN_TEST: "1"
  rules:
    - if: $RUN_SYSTEMD_PLUGIN_TEST != null
      when: never
    - if: $CI_PROJECT_PATH != "daniel.zatovic/cryptsetup"
      when: never
    - if: $CI_PIPELINE_SOURCE == "merge_request_event"
  script:
    - make -j
    - make -j -C tests check-programs
    - sudo -E make check

test-main-commit-job-debian-i686:
  variables:
    DISTRO: cryptsetup-debian-12i686
  extends:
    - .debian-prep
  tags:
    - libvirt
    - cryptsetup-debian-12i686
  stage: test
  interruptible: true
  variables:
    RUN_SSH_PLUGIN_TEST: "1"
  rules:
    - if: $RUN_SYSTEMD_PLUGIN_TEST != null
      when: never
    - if: $CI_PROJECT_PATH != "daniel.zatovic/cryptsetup"
      when: never
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH || $CI_COMMIT_BRANCH =~ /v2\..\.x$/
  script:
    - make -j
    - make -j -C tests check-programs
    - sudo -E make check
